/*
 * Creado el 16-abr-04
 *
 * Para cambiar la plantilla para este archivo generado vaya a
 * Ventana&gt;Preferencias&gt;Java&gt;Generación de código&gt;Código y comentarios
 */
package es.ejie.frmk.presentacion.sesiondatos.utilidades;

import java.sql.Connection;

import javax.naming.NamingException;

import es.ejie.frmk.Q70Factoria;
import es.ejie.frmk.conectores.conectorJDBC.Q70ConectorJDBC;
import es.ejie.frmk.infraestructura.traza.Q70TraceLevel;

/**
 * @version 1.0
 * Fecha: 16-abr-04
 */
public class Q70BorradoBDPorFechaQ70 extends Q70BorradoBDPorFecha
{
	private static final String ID_COMPONENTE = "BORRADOSESIONES";

	private String dbDataSource = null;

	public Q70BorradoBDPorFechaQ70()
	{
		super();
	}

	public void setDbDataSource(String string)
	{
		dbDataSource = string;
	}

	protected Connection getConnection() throws java.sql.SQLException
	{
		Connection conn = null;
		try
		{
			conn = Q70ConectorJDBC.getSingleton().getConnection(dbDataSource);
		}
		catch (NamingException e)
		{
			trazaError("Error en getConnection():"+e.getClass()+","+e.getMessage());
		}
		return conn;
	}

	protected boolean existenParametrosNulos(){
		return (dbDataSource == null || selectSentence == null || deleteSentence == null || claveSQL == null 
				|| datosSQL == null || deleteDate == -1);
	}
	
	protected boolean existenParametrosNulosPila(){
		return (dbDataSource == null || deleteSentence == null  || deleteDate == -1);
	}

	protected void trazaDebug(String strTraza, Throwable e) {
		trazaDebug(strTraza);
	}

	protected void trazaDebug(String strTraza) {
		Q70Factoria.getTraza().trace(ID_COMPONENTE, Q70TraceLevel.DEBUG, strTraza);
	}

	protected void trazaError(String strTraza, Throwable e) {
		trazaError(strTraza);
	}

	protected void trazaError(String strTraza) {
		Q70Factoria.getTraza().trace(ID_COMPONENTE, Q70TraceLevel.ERROR, strTraza);
	}

	protected void trazaFatal(String strTraza, Throwable e) {
		trazaFatal(strTraza);
	}

	protected void trazaFatal(String strTraza) {
		Q70Factoria.getTraza().trace(ID_COMPONENTE, Q70TraceLevel.FATAL, strTraza);
	}

	protected void trazaInfo(String strTraza, Throwable e) {
		trazaInfo(strTraza);
	}

	protected void trazaInfo(String strTraza) {
		Q70Factoria.getTraza().trace(ID_COMPONENTE, Q70TraceLevel.INFO, strTraza);
	}

	protected void trazaWarn(String strTraza, Throwable e) {
		trazaWarn(strTraza);
	}

	protected void trazaWarn(String strTraza) {
		Q70Factoria.getTraza().trace(ID_COMPONENTE, Q70TraceLevel.WARN, strTraza);
	}

}
